﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Configuration;
using System.Collections;
using System.Data.SqlClient;

namespace Database2
{
    public partial class frmTest : Form
    {
        public frmTest()
        {
            InitializeComponent();
        }

        private void cboTest_SelectedIndexChanged(object sender, EventArgs e)
        {
            
            
            
        }

        private void dgvStudents_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            
            
            
        }

        private void frmTest_Load(object sender, EventArgs e)
        {

            SqlConnection connString = null;

            try
            {
                //hide the data grid
                dgvStudents.Visible = false;

                //create the connection string
                connString = new SqlConnection("server=74.37.2.53; initial catalog=College2; connect timeout=30; User ID=admin;Password=password;");
                SqlCommand cmdString = new System.Data.SqlClient.SqlCommand();

                //open the connection
                connString.Open();
                cmdString.Connection = connString;

                //clear any parameters
                cmdString.Parameters.Clear();
                //link the connection
                cmdString.Connection = connString;
                //create the command type
                cmdString.CommandType = CommandType.Text;
                //set the timeout
                cmdString.CommandTimeout = 1500;

                //create and execute SQL statement
                cmdString.CommandText = "SELECT student_id,fname, lname, ' ' + lname as fullname, acct_bal, dob FROM student;"; //query

                //create data adapter
                SqlDataAdapter adapter = new SqlDataAdapter();
                adapter.SelectCommand = cmdString;

                //create and fill dataset
                DataSet ds = new DataSet();
                adapter.Fill(ds);

                //get data source
                //load combo boxes
                cboTest.DataSource = ds.Tables[0];
                cboTest.ValueMember = "STUDENT_ID";
                cboTest.DisplayMember = "fullname";
                cboTest.SelectedIndex = -1; //Do not select any item

       
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            finally
            {
                connString.Close();
            }
            
        }
    }
}